First time installing PG | PlexGuide.com

First time installing PG

  • Stop using Chrome! Download the Brave Browser via >>> [Brave.com]
    It's a forked version of Chrome with native ad-blockers and Google's spyware stripped out! Download for Mac, Windows, Android, and Linux!
Welcome to the PlexGuide.com
Serving the Community since 2016!
Register Now

Sheryars

Active
Original poster
Feb 5, 2019
39
4
Hello everyone,

I just learnt about PlexGuide today and decided to install it on my dedicated server. I am running into a small problem during installation. I get this error when i try to install the Plex Core Apps. It asks me to enter deploy and after that i get this error

/opt/plexguide/menu/pgbox/pgboxcommunity.sh: line 198: [: : integer expression expected

Kindly help me solve this problem
 

Swipular

Citizen+
Dec 20, 2018
23
2
I'm guessing this is not a newly installed server.

PG is amazing but it expects nothing to be in the way and can be a problem on an existing server as I have found out the hard way.

On a clean server, the install is flawless.

The step of updating the system first is important.

I would suggest removing all of the PG stuff and then start from scratch following the instructions exactly.

I would remove all the PG related stuff from /opt and /var/plexguide and start over.
 
S

subse7en

Guest
Another thing to try is in the pgbox menu, choose community, then exit back to the menu, so it pulls the community stuff down first. Then go back to core apps and try again
 
  • Like
Reactions: 1 user

Swipular

Citizen+
Dec 20, 2018
23
2
Odd, I did a clean install on a hetzner server and it worked flawlessly.

Mine is dedicated if that makes a difference. I'm really happy with it though.
 

Admin9705

Administrator
Project Manager
Donor
Jan 17, 2018
5,156
2,117
i have seen that error reported at times, i believe it can happen when something blank is typed, but i'll look into it. the downs and pluses of linux
 
  • Like
Reactions: 1 user

Sheryars

Active
Original poster
Feb 5, 2019
39
4
so i uninstalled and tried the setup again. same error as before. i can see another thing that popped up while i was installing the plexguide

Pulling Update Files - Please Wait

/opt/plexguide/menu/pgbox/pgboxcore.sh: line 64: /var/plexguide/pgbox.running: No such file or directory

Cannot connect to the Docker daemon at unix:///var/run/docker.sock. Is the docker daemon running?

any idea if this might be the reason?
 

Admin9705

Administrator
Project Manager
Donor
Jan 17, 2018
5,156
2,117
Because you don't have docker installed. You need to explain your box. As i tell others, test it on the hetzner cloud vps or run on a local vm.
 

Sheryars

Active
Original poster
Feb 5, 2019
39
4
so i reinstalled ubuntu from scratch and tried plex guide again but still getting same error

Type APP for QUEUE | Press [ENTER]: deploy

/opt/plexguide/menu/pgbox/pgboxcore.sh: line 197: [: : integer expression expected

the docker error is gone now
 

Admin9705

Administrator
Project Manager
Donor
Jan 17, 2018
5,156
2,117
again, test using hetzner cloud. your the only one getting this error (hint hint).
 

Sheryars

Active
Original poster
Feb 5, 2019
39
4
thats what i don't understand. I am doing everything as per the instructions. could it be because i have ubuntu 18.04 minimal?
 

Admin9705

Administrator
Project Manager
Donor
Jan 17, 2018
5,156
2,117
thats what i don't understand. I am doing everything as per the instructions. could it be because i have ubuntu 18.04 minimal?
i'm at work now, i saw something that i can tweak; i post the mini fix/help later today. thanks for your patience
 

Admin9705

Administrator
Project Manager
Donor
Jan 17, 2018
5,156
2,117

boganslayer

Experienced
Donor
Jan 19, 2019
57
4
thank you
I've had this happen on a brand new install. Try the following.

Using plexguide options I think 8 or 9. Remove the whole install. Install an older version. Try to see if core apps are working if not after that try pgupdate command to the newest version and should work.
 

Admin9705

Administrator
Project Manager
Donor
Jan 17, 2018
5,156
2,117
ok update to -

v8.3base (it's the newest with the minor touch ups). if good, i'll make it a release.
 

Swipular

Citizen+
Dec 20, 2018
23
2
Something is different.

What is your hardware configuration?

How did you install the OS? Was it via the web site or the installimage script?

I configured my drives (hardware raid) as a raid 0 (should not matter). Then installed via the installimage script while in rescue mode. I used the Ubuntu 18.04 minimal image.
 

Sheryars

Active
Original poster
Feb 5, 2019
39
4
@Swipular I have the Hetzner AX60-SSD. I installed 18.04 minimal with installimage as well while in rescue mode.

  • AMD Ryzen 7 1700X Octa-Core "Summit Ridge" (Zen)
  • 64 GB DDR4 RAM
  • 2 x 500 GB 6 Gb/s SSD (Software-RAID 1)

@Admin9705 I tried v8.3base and after deploy the same error as before
 
Last edited:

Swipular

Citizen+
Dec 20, 2018
23
2
Ok, so the whole thing is just basically a bunch of shell scripts and ansible playbooks. So it may be a little time consuming but there is no reason the issue cannot be found and resolved.

So the script in question "/opt/plexguide/menu/pgbox/pgboxcore.sh" is just a bash script that is being called form the menu.

Can you walk me through the exact steps you are taking to reproduce the error?

How are you running plexguide? As root or via sudo?

Have you done any of the other steps successfully? Mount points etc?

When you are running pg box are you running the plexguide version of core or a forked version?
 

Recommend NewsGroups

      Up To a 58% Discount!

Trending